<?php


/**
 * BizLink Dark functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @subpackage BizLink Dark
 * @since BizLink Dark 1.0
 */

 if (!function_exists('bizlink_dark_support')) :

    /**
     * Sets up theme defaults and registers support for various WordPress features.
     *
     * @since BizLink Dark 1.0.0
     *
     * @return void
     */
    function bizlink_dark_support()
    {
        // Add default posts and comments RSS feed links to head.
        add_theme_support('automatic-feed-links');
        add_theme_support('post-thumbnails');        
        //post format support
        add_theme_support( 'post-formats', array('gallery', 'image', 'video', 'audio') );

    }

endif;
add_action('after_setup_theme', 'bizlink_dark_support');

 function bizlink_dark_block_assets(){
    // Enqueue theme stylesheet for the front-end.
    wp_enqueue_style( 'bizlink-style', get_stylesheet_directory_uri() . '/style.css', array(), wp_get_theme()->get( 'Version' ) );
	wp_enqueue_style( 'fontawesome', get_stylesheet_directory_uri() . '/assets/font-awesome/css/all.css', array(), '5.15.3' );
}

add_action('enqueue_block_assets', 'bizlink_dark_block_assets');

// register own theme pattern

function bizlink_dark_register_pattern_category() {

	$patterns = array();

	$block_pattern_categories = array(
		'bizlink-dark' => array( 'label' => __( 'BizLink Dark', 'bizlink-dark' ) )
	);

	$block_pattern_categories = apply_filters( 'bizlink_dark_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}

add_action( 'init', 'bizlink_dark_register_pattern_category');